#include "TestItem.h"

#include <QPainter>

TestItem::TestItem(QQuickItem *parent) : QQuickItem(parent)
{
    qDebug() << Q_FUNC_INFO;

    setFlag(QQuickItem::ItemHasContents);
    setAcceptedMouseButtons(Qt::LeftButton);
    setAcceptHoverEvents(true);
}

void TestItem::mousePressEvent(QMouseEvent *event)
{
    qDebug() << Q_FUNC_INFO << event;
}

void TestItem::mouseMoveEvent(QMouseEvent *event)
{
    qDebug() << Q_FUNC_INFO << event << event->buttons();
}

void TestItem::mouseReleaseEvent(QMouseEvent *event)
{
    qDebug() << Q_FUNC_INFO << event;
}

void TestItem::hoverEnterEvent(QHoverEvent *event)
{
    qDebug() << Q_FUNC_INFO << event;
}

void TestItem::hoverMoveEvent(QHoverEvent *event)
{
    qDebug() << Q_FUNC_INFO << event;
}

void TestItem::hoverLeaveEvent(QHoverEvent *event)
{
    qDebug() << Q_FUNC_INFO << event;
}
