#ifndef TESTITEM_H
#define TESTITEM_H

#include <QQuickItem>

class TestItem : public QQuickItem
{
    Q_OBJECT
public:
    explicit TestItem(QQuickItem *parent = 0);

protected:
    void mousePressEvent(QMouseEvent *event) override;
    void mouseMoveEvent(QMouseEvent *event) override;
    void mouseReleaseEvent(QMouseEvent *event) override;

    void hoverEnterEvent(QHoverEvent *event) override;
    void hoverMoveEvent(QHoverEvent *event) override;
    void hoverLeaveEvent(QHoverEvent *event) override;
};

#endif // TESTITEM_H
